package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.WXAccountMapper;
import com.sa.ibiz.demo.demo.domain.WXAccount;
import com.sa.ibiz.demo.demo.service.WXAccountService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.WXAccountSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.OrgService;

/**
 * 实体[WXAccount] 服务对象接口实现
 */
@Service
public class WXAccountServiceImpl extends ServiceImplBase<WXAccountMapper, WXAccount> implements WXAccountService{

    @Autowired
    private OrgService orgService;

    @Resource
    private WXAccountMapper wxaccountMapper;


    @Override
    public boolean create(WXAccount et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(WXAccount et){
        this.beforeUpdate(et);
		this.wxaccountMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(WXAccount et){
		return et.getWxaccountid();  
    }

    @Override
    public boolean getDraft(WXAccount et)  {
    if((!StringUtils.isEmpty(et.getOrgid())) && et.getOrg() == null){
            try {
                et.setOrg(orgService.getById(et.getOrgid()));
            }catch (Exception ex){}
        }
            return true;
    }
    @Override
    public WXAccount syncOrgSector(WXAccount et)  {
		return et;
    }
    @Override
    public WXAccount pubMenu(WXAccount et)  {
		return et;
    }
    @Override
    public WXAccount syncOrgUser(WXAccount et)  {
		return et;
    }

	public List<WXAccount> listDefault(WXAccountSearchFilter filter) {
		return wxaccountMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<WXAccount> searchDefault(WXAccountSearchFilter filter) {
		return wxaccountMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return wxaccountMapper.selectRow(sql);
    }

 }